Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.designer.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.designer.cs	(revision 83)
@@ -31,15 +31,15 @@
         private void InitializeComponent()
         {
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
             this.btnDataEntry = new System.Windows.Forms.Button();
             this.btnEnd = new System.Windows.Forms.Button();
             this.label1 = new System.Windows.Forms.Label();
@@ -54,11 +54,6 @@
             this.btnDataSelect = new System.Windows.Forms.Button();
             this.btnDataUnSelect = new System.Windows.Forms.Button();
             this.dgvMaster = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
-            this.MasterColumn01 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.MasterColumn02 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.MasterColumn03 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.MasterColumn04 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.MasterColumn05 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.dgvGridData = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.Column01 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column02 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -66,6 +61,11 @@
             this.Column04 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column05 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column06 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
+            this.MasterColumn01 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.MasterColumn02 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.MasterColumn03 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.MasterColumn04 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.MasterColumn05 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.panel2.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvGridData)).BeginInit();
@@ -277,7 +277,7 @@
             this.MasterColumn03,
             this.MasterColumn04,
             this.MasterColumn05});
-            this.dgvMaster.Location = new System.Drawing.Point(55, 396);
+            this.dgvMaster.Location = new System.Drawing.Point(8, 396);
             this.dgvMaster.Name = "dgvMaster";
             this.dgvMaster.RowHeadersVisible = false;
             this.dgvMaster.RowHeadersWidth = 20;
@@ -285,68 +285,10 @@
             this.dgvMaster.RowTemplate.Height = 21;
             this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
             this.dgvMaster.ShowCellToolTips = false;
-            this.dgvMaster.Size = new System.Drawing.Size(700, 194);
+            this.dgvMaster.Size = new System.Drawing.Size(750, 194);
             this.dgvMaster.TabIndex = 25;
             this.dgvMaster.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellDoubleClick);
             // 
-            // MasterColumn01
-            // 
-            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.MasterColumn01.DefaultCellStyle = dataGridViewCellStyle2;
-            this.MasterColumn01.Frozen = true;
-            this.MasterColumn01.HeaderText = "№";
-            this.MasterColumn01.Name = "MasterColumn01";
-            this.MasterColumn01.ReadOnly = true;
-            this.MasterColumn01.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.MasterColumn01.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.MasterColumn01.Width = 50;
-            // 
-            // MasterColumn02
-            // 
-            this.MasterColumn02.Frozen = true;
-            this.MasterColumn02.HeaderText = "担当者コード";
-            this.MasterColumn02.Name = "MasterColumn02";
-            this.MasterColumn02.ReadOnly = true;
-            this.MasterColumn02.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.MasterColumn02.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.MasterColumn02.Visible = false;
-            // 
-            // MasterColumn03
-            // 
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.MasterColumn03.DefaultCellStyle = dataGridViewCellStyle3;
-            this.MasterColumn03.Frozen = true;
-            this.MasterColumn03.HeaderText = "所　属";
-            this.MasterColumn03.Name = "MasterColumn03";
-            this.MasterColumn03.ReadOnly = true;
-            this.MasterColumn03.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.MasterColumn03.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.MasterColumn03.Width = 200;
-            // 
-            // MasterColumn04
-            // 
-            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.MasterColumn04.DefaultCellStyle = dataGridViewCellStyle4;
-            this.MasterColumn04.Frozen = true;
-            this.MasterColumn04.HeaderText = "担　当　者　名";
-            this.MasterColumn04.Name = "MasterColumn04";
-            this.MasterColumn04.ReadOnly = true;
-            this.MasterColumn04.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.MasterColumn04.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.MasterColumn04.Width = 280;
-            // 
-            // MasterColumn05
-            // 
-            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.MasterColumn05.DefaultCellStyle = dataGridViewCellStyle5;
-            this.MasterColumn05.Frozen = true;
-            this.MasterColumn05.HeaderText = "役　職";
-            this.MasterColumn05.Name = "MasterColumn05";
-            this.MasterColumn05.ReadOnly = true;
-            this.MasterColumn05.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.MasterColumn05.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.MasterColumn05.Width = 150;
-            // 
             // dgvGridData
             // 
             this.dgvGridData.AllowUserToAddRows = false;
@@ -447,6 +389,64 @@
             this.Column06.Name = "Column06";
             this.Column06.Width = 50;
             // 
+            // MasterColumn01
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.MasterColumn01.DefaultCellStyle = dataGridViewCellStyle2;
+            this.MasterColumn01.Frozen = true;
+            this.MasterColumn01.HeaderText = "№";
+            this.MasterColumn01.Name = "MasterColumn01";
+            this.MasterColumn01.ReadOnly = true;
+            this.MasterColumn01.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.MasterColumn01.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.MasterColumn01.Width = 50;
+            // 
+            // MasterColumn02
+            // 
+            this.MasterColumn02.Frozen = true;
+            this.MasterColumn02.HeaderText = "担当者コード";
+            this.MasterColumn02.Name = "MasterColumn02";
+            this.MasterColumn02.ReadOnly = true;
+            this.MasterColumn02.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.MasterColumn02.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.MasterColumn02.Visible = false;
+            // 
+            // MasterColumn03
+            // 
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.MasterColumn03.DefaultCellStyle = dataGridViewCellStyle3;
+            this.MasterColumn03.Frozen = true;
+            this.MasterColumn03.HeaderText = "所　属";
+            this.MasterColumn03.Name = "MasterColumn03";
+            this.MasterColumn03.ReadOnly = true;
+            this.MasterColumn03.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.MasterColumn03.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.MasterColumn03.Width = 200;
+            // 
+            // MasterColumn04
+            // 
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.MasterColumn04.DefaultCellStyle = dataGridViewCellStyle4;
+            this.MasterColumn04.Frozen = true;
+            this.MasterColumn04.HeaderText = "担　当　者　名";
+            this.MasterColumn04.Name = "MasterColumn04";
+            this.MasterColumn04.ReadOnly = true;
+            this.MasterColumn04.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.MasterColumn04.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.MasterColumn04.Width = 280;
+            // 
+            // MasterColumn05
+            // 
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.MasterColumn05.DefaultCellStyle = dataGridViewCellStyle5;
+            this.MasterColumn05.Frozen = true;
+            this.MasterColumn05.HeaderText = "役　職";
+            this.MasterColumn05.Name = "MasterColumn05";
+            this.MasterColumn05.ReadOnly = true;
+            this.MasterColumn05.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.MasterColumn05.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.MasterColumn05.Width = 200;
+            // 
             // FrmApprovalRoute
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -498,11 +498,6 @@
         private System.Windows.Forms.Button btnDataUnSelect;
         private System.Windows.Forms.Label label2;
         private System.Windows.Forms.ComboBox cmbDepartment;
-        private System.Windows.Forms.DataGridViewTextBoxColumn MasterColumn01;
-        private System.Windows.Forms.DataGridViewTextBoxColumn MasterColumn02;
-        private System.Windows.Forms.DataGridViewTextBoxColumn MasterColumn03;
-        private System.Windows.Forms.DataGridViewTextBoxColumn MasterColumn04;
-        private System.Windows.Forms.DataGridViewTextBoxColumn MasterColumn05;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column01;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column02;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column03;
@@ -509,5 +504,10 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column04;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column05;
         private System.Windows.Forms.DataGridViewCheckBoxColumn Column06;
+        private System.Windows.Forms.DataGridViewTextBoxColumn MasterColumn01;
+        private System.Windows.Forms.DataGridViewTextBoxColumn MasterColumn02;
+        private System.Windows.Forms.DataGridViewTextBoxColumn MasterColumn03;
+        private System.Windows.Forms.DataGridViewTextBoxColumn MasterColumn04;
+        private System.Windows.Forms.DataGridViewTextBoxColumn MasterColumn05;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs	(revision 83)
@@ -634,36 +634,43 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Button)))
-                    wrk.Text = "";
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (!wrk.GetType().Equals(typeof(Button)))
+                        wrk.Text = "";
+                }
 
-            // 新規時はコードを表示しない
-            if (m_ComponentCode == 0)
-            {
-                lblStaticItemCode.Visible = false;
-                lblItemCode.Visible = false;
+                // 新規時はコードを表示しない
+                if (m_ComponentCode == 0)
+                {
+                    lblStaticItemCode.Visible = false;
+                    lblItemCode.Visible = false;
+                }
+                else
+                {
+                    lblStaticItemCode.Visible = true;
+                    lblItemCode.Visible = true;
+                }
+                // 工事種別グリッドクリア
+                dgvTypeList.Rows.Clear();
+                // 初期行表示
+                dgvTypeList.Rows.Add(8);
+                // グリッドロック
+                dgvTypeList.Enabled = false;
+
+                // コンボボックス初期値セット
+                cmbSubItems.SelectedIndex = -1;
+                cmbDirectInput.SelectedIndex = -1;
+                cmbMyExpenses.SelectedIndex = -1;
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblStaticItemCode.Visible = true;
-                lblItemCode.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            // 工事種別グリッドクリア
-            dgvTypeList.Rows.Clear();
-            // 初期行表示
-            dgvTypeList.Rows.Add(8);
-            // グリッドロック
-            dgvTypeList.Enabled = false;
-
-            // コンボボックス初期値セット
-            cmbSubItems.SelectedIndex = -1;
-            cmbDirectInput.SelectedIndex = -1;
-            cmbMyExpenses.SelectedIndex = -1;
-            m_bChengeAns = false;
         }
         #endregion
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs	(revision 83)
@@ -690,9 +690,16 @@
         /// </summary>
         private void ClearDisplay()
         {
-            dgvItemList.Rows.Clear();
+            try
+            {
+                dgvItemList.Rows.Clear();
 
-            m_bChengeAns = false;
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.cs	(revision 83)
@@ -635,28 +635,35 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Button)))
-                    wrk.Text = "";
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (!wrk.GetType().Equals(typeof(Button)))
+                        wrk.Text = "";
+                }
 
-            // 新規時はコードを表示しない
-            if (m_ItemCode == 0)
-            {
-                lblStaticItemCode.Visible = false;
-                lblItemCode.Visible = false;
+                // 新規時はコードを表示しない
+                if (m_ItemCode == 0)
+                {
+                    lblStaticItemCode.Visible = false;
+                    lblItemCode.Visible = false;
+                }
+                else
+                {
+                    lblStaticItemCode.Visible = true;
+                    lblItemCode.Visible = true;
+                }
+                cmbSubItems.SelectedIndex = -1;
+                cmbMyExpenses.SelectedIndex = -1;
+
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblStaticItemCode.Visible = true;
-                lblItemCode.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            cmbSubItems.SelectedIndex = -1;
-            cmbMyExpenses.SelectedIndex = -1;
-
-            m_bChengeAns = false;
         }
         #endregion
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs	(revision 83)
@@ -42,7 +42,7 @@
         /// <summary>
         /// 規格・寸法
         /// </summary>
-        private const int s_WorkNameLength = 120;
+        private const int s_SpecNameLength = 120;
         /// <summary>
         /// 単位
         /// </summary>
@@ -708,26 +708,33 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Button)))
-                    wrk.Text = "";
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (!wrk.GetType().Equals(typeof(Button)))
+                        wrk.Text = "";
+                }
 
-            // 新規時は会社コードを表示しない
-            if (m_SpecCode == 0)
-            {
-                lblStaticWorkCode.Visible = false;
-                lblSpecCode.Visible = false;
+                // 新規時は会社コードを表示しない
+                if (m_SpecCode == 0)
+                {
+                    lblStaticWorkCode.Visible = false;
+                    lblSpecCode.Visible = false;
+                }
+                else
+                {
+                    lblStaticWorkCode.Visible = true;
+                    lblSpecCode.Visible = true;
+                }
+
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblStaticWorkCode.Visible = true;
-                lblSpecCode.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            m_bChengeAns = false;
         }
         #endregion
 
@@ -751,7 +758,7 @@
                 //規格・寸法
                 if (m_dispControl[(int)DispControl.SpecName].Text != null)
                     // レングスチェック
-                    bAns = CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.SpecName], s_WorkNameLength, true);
+                    bAns = CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.SpecName], s_SpecNameLength, true);
                 bRet &= bAns;
 
                 //単位
@@ -1017,7 +1024,7 @@
                     m_dispControl[(int)DispControl.ItemName].Text = wrklist[0].ItemName.ToString();         // 作業名称
                     m_dispControl[(int)DispControl.SpecName].Text = wrklist[0].SpecName.ToString();         // 規格・寸法名称
                     m_dispControl[(int)DispControl.UnitScale].Text = wrklist[0].UnitName.ToString();        // 単位名称
-                    m_dispControl[(int)DispControl.UnitPrice].Text = wrklist[0].UnitPrice.ToString("#,0");  // 単価
+                    m_dispControl[(int)DispControl.UnitPrice].Text = wrklist[0].UnitPrice.ToString("#,0.0");  // 単価
                     if (EditLock)
                         m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringRef;     // 参照
                     else
